Bug 1856401 - [RFE] Add module to create HTTP Proxy
Summary: [RFE] Add module to create HTTP Proxy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Ansible Collection
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: 6.8.0
Assignee: Evgeni Golov
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-13 14:27 UTC by Steffen Froemer
Modified: 2020-10-27 13:04 UTC (History)
4 users (show)

Fixed In Version: ansible-collection-redhat-satellite-1.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 13:04:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github theforeman foreman-ansible-modules issues 867 None closed Missing module to create HTTP Proxy 2020-10-26 11:50:09 UTC
Red Hat Product Errata RHSA-2020:4366 None None None 2020-10-27 13:04:35 UTC

Description Steffen Froemer 2020-07-13 14:27:47 UTC
Today there is no possibility to add a HTTP Proxy using ansible module.
To setup the http_proxy system-wide, I can use the 'setting' module, but I have to create it first.

Example:

# hammer http-proxy create --name "default-proxy"  --username "proxyuser" --password "proxypass" --url "http://proxy.example.com:8080" --location "Default Location"


  - name: Set default https proxy
    setting:
      username: "{{ sat_user }}"
      password: "{{ sat_passwd }}"
      server_url: "{{ sat_url }}"
      name: "content_default_http_proxy"
      value: "default-proxy"

Comment 4 Peter Ondrejka 2020-09-23 12:32:45 UTC
Verified using test automation on Satellite 6.8 sn 16

Comment 7 errata-xmlrpc 2020-10-27 13:04:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.